
Base Language - Feature #6300

class definitions with USE-WIDGET-POOL

04/26/2022 01:46 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Base Language - Feature #4373: finish core OO 4GL support New

History

#1 - 04/26/2022 01:46 PM - Greg Shah

- Related to Feature #4373: finish core OO 4GL support added

#2 - 05/16/2022 01:34 PM - Constantin Asofiei

- % Done changed from 0 to 100

- Assignee set to Constantin Asofiei

- Status changed from New to Review

This is solved in 6129a/13857.

Nothing more needs to be done, a plain unnamed widget pool is created for such an instance, which forces to delete all widgets in this pool, when the

instance gets deleted.

#3 - 05/24/2022 09:07 AM - Greg Shah

This is handled at runtime as well as conversion?

#4 - 05/24/2022 09:09 AM - Constantin Asofiei

Greg Shah wrote:

This is handled at runtime as well as conversion?

 

Yes.

#5 - 05/24/2022 09:10 AM - Greg Shah

- Status changed from Review to Test
#6 - 04/04/2023 10:08 AM - Greg Shah

- Status changed from Test to Closed
